package qsrtdemo.model;

/**
 * This is the class that the ControlPanel sends to the Quicksort object (using
 * the Observer framework) in order to set up a new sort. This can set the array
 * and the order to sort it in.
 *
 * @author Michael Hawes
 */
public class InitSort {
    
    private int order;
    private int[] array;
    
    public InitSort(int[] array, int order) {
        this.array = array;
        this.order = order;
    }

    public InitSort(int[] array) {
        this.array = array;
        this.order = Quicksort.ORDER_DESCENDING;
    }
    
    public InitSort(RandomiseVars rand, int order) {
        array = rand.getArray();
        this.order = order;
    }

    public InitSort(RandomiseVars rand) {
        array = rand.getArray();
        this.order = Quicksort.ORDER_DESCENDING;
    }
    
    public int[] getArray() {
        return array;
    }
    
    public int getSortOrder() {
        return order;
    }
    
}
