package qsrtdemo.model;

/**
 * This is a class for storing information about a given step in the process of
 * sorting a partition. There are several types of PartitionStep: StartPartStep,
 * SwapStep and ValStep.
 *
 * @author Michael Hawes
 */
public abstract class PartitionStep {
    
    private int[] array;
    private int newPivot;
    
    public PartitionStep(int[] newArray, int newPivot) {
        array = new int[newArray.length];
        System.arraycopy(newArray, 0, array, 0, newArray.length);
        this.newPivot = newPivot;
    }
    
    public int[] getArray() {
        return array;
    }
    
    public int getPivot() {
        return newPivot;
    }
    
    // mike's testing method
    @Override
    public String toString() {
        return toString(0);
    }
    
    // mike's testing method
    public abstract String toString(int indentLvl);
    
}
