package qsrtdemo.model;

import java.util.Random;

/**
 * This class is used by InitSort to randomise a new array.
 *
 * @author Michael Hawes
 */
public class RandomiseVars {
    
    private int max;
    private int min;
    private int numElements;
    
    /** 
     * Creates a new instance of RandomiseVars, assuming minimum value of 0
     * 
     * @param numElements The length of the array to create
     * @param maxVal The maximum value in the array
     */
    public RandomiseVars(int numElements, int maxVal) {
        max = maxVal;
        min = 0;
        this.numElements = numElements;
    }
    
    /** 
     * Creates a new instance of RandomiseVars
     * 
     * @param numElements The length of the array to create
     * @param maxVal The maximum value in the array
     * @param minVal The minimum value in the array
     */
    public RandomiseVars(int numElements, int maxVal, int minVal) {
        max = maxVal;
        min = minVal;
        this.numElements = numElements;
    }
    
    public int[] getArray() {
        int[] array = new int[numElements];
        Random generator = new Random();
        if(min==0) {
            for(int i=0; i<numElements; i++) {
                array[i] = generator.nextInt(max);
            }
        } else {
            for(int i=0; i<numElements; i++) {
                array[i] = (generator.nextInt(max-min)+min);
            }
        }
        return array;
    }
    
}
