package qsrtdemo.view;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;

/**
 *
 * @author Michael Hawes
 */
public class StdNodeAnim implements ArrayNodeAnim {
    
    private Color col;
    
    public StdNodeAnim(Color colour) {
        col = colour;
    }
    
    public Color getColour() {
        return col;
    }
    
    public void drawNode(Graphics2D g, ArrayNode node) {
        Rectangle2D shape = new Rectangle2D.Float(node.getX(), node.getY(), ArrayNode.getWidth(), ArrayNode.getHeight());
        g.setColor(Color.WHITE);
        g.fill(shape);
        g.setColor(col);
        g.draw(shape);
        
        g.setColor(Color.BLACK);
        g.drawString(node.getStr(), node.getStrX(), node.getStrY());
    }
    
}
